org.apache.tinkerpop.gremlin.jsr223

## Class GremlinScriptEngineSuite

- java.lang.Object
- - org.junit.runner.Runner
  - - org.junit.runners.ParentRunner<org.junit.runner.Runner>
    - - org.junit.runners.Suite
      - - org.apache.tinkerpop.gremlin.jsr223.GremlinScriptEngineSuite

- All Implemented Interfaces:
    org.junit.runner.Describable, org.junit.runner.manipulation.Filterable, org.junit.runner.manipulation.Orderable, org.junit.runner.manipulation.Sortable

      public class GremlinScriptEngineSuite
      extends org.junit.runners.Suite

  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.junit.runners.Suite

      `org.junit.runners.Suite.SuiteClasses`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GremlinScriptEngineSuite(Class<?> klass, org.junit.runners.model.RunnerBuilder builder)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getScriptEngineName(Class<?> klass)`

    - ### Methods inherited from class org.junit.runners.Suite

      `describeChild, emptySuite, getChildren, runChild`

    - ### Methods inherited from class org.junit.runners.ParentRunner

      `childrenInvoker, classBlock, classRules, collectInitializationErrors, createTestClass, filter, getDescription, getName, getRunnerAnnotations, getTestClass, isIgnored, order, run, runLeaf, setScheduler, sort, validatePublicVoidNoArgMethods, withAfterClasses, withBeforeClasses, withInterruptIsolation`

    - ### Methods inherited from class org.junit.runner.Runner

      `testCount`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GremlinScriptEngineSuite

          public GremlinScriptEngineSuite(Class<?> klass,
                                          org.junit.runners.model.RunnerBuilder builder)
                                   throws org.junit.runners.model.InitializationError

      Throws:
        `org.junit.runners.model.InitializationError`

  - ### Method Detail

    - #### getScriptEngineName

          public static String getScriptEngineName(Class<?> klass)
                                            throws org.junit.runners.model.InitializationError

      Throws:
        `org.junit.runners.model.InitializationError`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.